> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0d.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# List vaults

> Retrieve a list of all available vaults



## OpenAPI

````yaml open-apis/0d.json get /vaults
openapi: 3.1.0
info:
  title: zerod_api
  description: 0D Master API for vaults
  license:
    name: MIT
    identifier: MIT
  version: 0.1.0
servers:
  - url: https://api.0d.finance/{version}
    variables:
      version:
        default: v1
        enum:
          - v1
security: []
tags:
  - name: zerod_bin
    description: 0d, master api
  - name: User
    description: User profile endpoints
  - name: Vaults
    description: Vault management endpoints
paths:
  /vaults:
    get:
      tags:
        - Vaults
      operationId: list_vaults
      responses:
        '200':
          description: Vault list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultListResponse'
        '500':
          description: Internal server error
components:
  schemas:
    VaultListResponse:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/VaultListItem'
    VaultListItem:
      type: object
      required:
        - id
        - name
        - chain
        - symbol
        - tvl
        - apr
        - status
      properties:
        apr:
          type: string
        average_redeem_delay:
          type:
            - string
            - 'null'
        chain:
          type: string
        description:
          type:
            - string
            - 'null'
        id:
          type: string
        last_reported:
          type:
            - string
            - 'null'
        name:
          type: string
        status:
          type: string
        symbol:
          type: string
        tvl:
          type: string

````